/*  This is part of the Ethereal CONFIGERATOR Series.

    Program: TimeCHK.PEX
    Version: 2.0

    You should load this pex as EARLY AS POSSIBLE, before the user
runs out of time. If the user has 0 time left, this pex can actually
catch him sometimes before PB logs him off, but only if this is the
very first thing to load.

        (C) 1995 Alvin Brinson

    This CODE AND PROGRAM are FREEWARE. Please tweak or whatever you
want with this code - just send me a copy if you don't mind and
remember, always release source code with your programs!

*/

         #include "pb_sdk.h"

/* Vars */

int tymetemp = 0;
char buf[4];

/* Routines */

void main()
{
    if (TimeLeft() < 6) {
        AddTime(1);
        SuspendTimer();
        printf("\n");
        printf("\007You have only \001%d \007minutes remaining!\n",TimeLeft());
        if (CurUser->tbTimeBalance < 1) {
            printf("Unfortunately, you have no time in the TimeBank, either!");
            RestartTimer();
            printf("\007Hit any key");
            WaitKey();
            exit();
        }
        printf("\007Would you like to withdraw time from the TimeBank?");
        if (Ask(TRUE) == TRUE) {
            printf("\n");
            printf("\007Tyme In Bank: [\006%d\007]\n",CurUser->tbTimeBalance-1);

            if (TimeUntilEvent() < CurUser->tbTimeBalance) {
                printf("\002 Due to an upcoming event, you may only withdraw up to %u minutes.\n",TimeUntilEvent()-2);
            }

            printf("\007Hit Any Key ...\n");
            WaitKey();
            printf("\006How much time to withdraw now: ");
            Input (buf,3,INPUT_DIGITS);
            tymetemp = atoi(buf);
            if (tymetemp > TimeUntilEvent()) tymetemp = TimeUntilEvent()-2;
            if (tymetemp > CurUser->tbTimeBalance) tymetemp = CurUser->tbTimeBalance;
            if (tymetemp < 1 ) tymetemp= 5;  /* If they just hit enter be nice and give them 5 anyway... If not in account, next routine will kick it. */
            if ((tymetemp > 0)  && (tymetemp < CurUser->tbTimeBalance)) {
                CurUser->tbTimeBalance = CurUser->tbTimeBalance - tymetemp;
                RestartTimer();
                AddTime(tymetemp);
            }
        }
    }
}
